<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('dataset_table2', function (Blueprint $table) {
            $table->id('DatasetTable2Id');
            $table->integer('dataset_id');
            $table->string('kabupaten_kota')->nullable();
            $table->float('luas_lahan_non_pertanian')->default(0);
            $table->float('luas_lahan_sawah')->default(0);
            $table->float('luas_lahan_kering')->default(0);
            $table->float('luas_lahan_perkebunan')->default(0);
            $table->float('luas_lahan_hutan')->default(0);
            $table->float('luas_lahan_badan_air')->default(0);
            $table->integer('created_by');
            $table->timestampsTz();
            $table->softdeletesTz();

            $table->foreign('dataset_id')->references('DatasetId')->on('dataset')->cascadeOnDelete();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('dataset_table2s');
    }
};
